Subject: Aalto Fan-leg table & stools FS

From: [email-masked] (Graham Mancha)
Date: Sun, 12 May 1996 09:45:02 GMT

For sale, Aalto fan-leg table model X800A, 80cm x 135cm x 71cm high
and a set of six fan-leg stools, model X600, 38cm diameter, 45cm high.
A mono Jpeg of the table & two of the stools is available in
atl.binaries.pictures.furniture. For more details please email me;
[email-masked]
[email-masked]